- name: create folders
  file: 
    dest: "{{ item }}"  
    state: directory 
    owner: "root" 
    group: "root" 
    mode: 0775
  with_items:
    - "/app/logstash/config"
    - "/app/logstash/pipeline"

- name: logstash configure
  copy: 
    src: "{{item}}" 
    dest: "/app/logstash/config/{{item}}"
  with_items:
    - logstash.yml
  notify: logstash

- name:  logstash configure
  template:
    src: "{{item}}" 
    dest: "/app/logstash/pipeline/{{item}}"
  with_items:
    - 100-logstash.conf
  notify: logstash

- name: stop delete logstash container
  docker_container:
    name: logstash
    state: absent
  when: force|bool 

- name: start logstash container
  docker_container:
    name: logstash
    image: "{{ logstash_image }}"
    volumes:
       - '/app/logstash/config/logstash.yml:/usr/share/logstash/config/logstash.yml:ro'
       - '/app/logstash/pipeline:/usr/share/logstash/pipeline:ro'
    ports:
       - "5044:5044/tcp"
       - "4560:4560/tcp"
    state: started
  when: stop|bool == false


